Quote Transaction with Fees
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/quote \
--header 'X-CLIENT-ID: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/quote"
headers = {"X-CLIENT-ID": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CLIENT-ID': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "usd",
"price": 1.23
}{
"error": true,
"message": "<string>"
}Quote Transaction with Fees
Get the price of a transaction hosted through Crossmint, inclusive of all fees.
This API is subject to change as it is currently in its alpha form.
GET
/
v1-alpha1
/
quote
Quote Transaction with Fees
This is an alpha API and subject to change.
Authorizations
Query Parameters
The chain in which to quote on.
Available options:
aptos, arbitrum, arbitrum-sepolia, arbitrumnova, base, base-sepolia, bsc, bsc-testnet, ethereum, ethereum-sepolia, optimism, optimism-sepolia, polygon, polygon-amoy, solana, skale-nebula, skale-nebula-testnet, sui, zora, zora-sepolia Price in specified chain currency to quote. The chain is derived from the chain your collection is on. If your chain is on the Solana network, the parameter would be the SOL amount, not Lamports.
Price in specified currency to quote
Available options:
usd, eur, gbp, aud, sgd, hkd, krw, inr, vnd, jpy Was this page helpful?

